Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jrummikub.model
Enum StoneColor

    java.lang.Object
      java.lang.Enum<StoneColor>
          jrummikub.model.StoneColor

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StoneColor>

    public enum StoneColor

extends java.lang.Enum<StoneColor>

Class specifying possible StoneColors

Enum Constant Summary
`BLACK`
`BLUE`
`ORANGE`
`RED`

Method Summary
`static StoneColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StoneColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLACK

    public static final StoneColor BLACK

### ORANGE

    public static final StoneColor ORANGE

### BLUE

    public static final StoneColor BLUE

### RED

    public static final StoneColor RED

Method Detail

### values

    public static StoneColor[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StoneColor c : StoneColor.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StoneColor valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD